Exponential 6.0.13 Exponential Enterprise Open Source CMS - PHP Class Reference

Public Member Functions | Static Public Member Functions | Public Attributes | Private Member Functions | List of all members
eZPackageInstallationHandler Class Reference
The package manager system

The class eZPackageInstallationHandler does. More...

Inheritance diagram for eZPackageInstallationHandler:

## Public Member Functions
| __construct ( $package, $type, $installItem, $name=null, $steps=null)
| generateStepMap ( $package, &$persistentData)
| attributes ()
| hasAttribute ( $name)
| attribute ( $name)
| initializeStepMethodMap ()
| validateStepMethodMap ()
| commitStepMethodMap ()
& | stepMap ()
| stepTemplate ( $package, $installItem, $step)
| initializeStep ( $package, $http, $step, &$persistentData, $tpl, $module)
| validateStep ( $package, $http, $currentStepID, &$stepMap, &$persistentData, &$errorList)
| validateAndAdvanceStep ( $package, $http, $currentStepID, &$stepMap, &$persistentData, &$errorList)
| commitStep ( $package, $http, $step, &$persistentData, $tpl)
| reset ()
| finalize ( $package, $http, &$persistentData)
| packageType ( $package, &$persistentData)

## Static Public Member Functions
static | instance ( $package, $handlerName, $installItem)

## Public Attributes
| $Package
| $Attributes
| $InitializeStepMethodMap
| $ValidateStepMethodMap
| $CommitStepMethodMap
| $InstallItem
| $StepMap

## Private Member Functions
| rootDOMNode ()
| customInstallHandlerInfo ( $package, $installItem)

## Detailed Description

The class eZPackageInstallationHandler does.

Definition at line 18 of file ezpackageinstallationhandler.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZPackageInstallationHandler::__construct | ( |  | $package,
|  |  | $type,
|  |  | $installItem,
|  |  | $name = `null`,
|  |  | $steps = `null`
| ) |  |

Constructor

Parameters

  eZPackage | $package |
  string | $type |
  mixed | $installItem |
  string | $name |
  array | $steps |

Reimplemented in eZInstallScriptPackageInstaller.

Definition at line 36 of file ezpackageinstallationhandler.php.

## Member Function Documentation

## ◆ attribute()

eZPackageInstallationHandler::attribute | ( |  | $name | ) |

Definition at line 116 of file ezpackageinstallationhandler.php.

References eZDebug\writeError().

Referenced by generateStepMap(), and stepTemplate().

## ◆ attributes()

eZPackageInstallationHandler::attributes | ( |  | ) |

Definition at line 106 of file ezpackageinstallationhandler.php.

## ◆ commitStep()

eZPackageInstallationHandler::commitStep | ( |  | $package,
|  |  | $http,
|  |  | $step,
|  | & | $persistentData,
|  |  | $tpl
| ) |  |

This is called after a step has validated it's information. It can be used to put values in the $persistentData variable for later retrieval.

Definition at line 228 of file ezpackageinstallationhandler.php.

References commitStepMethodMap().

## ◆ commitStepMethodMap()

eZPackageInstallationHandler::commitStepMethodMap | ( |  | ) |

Definition at line 137 of file ezpackageinstallationhandler.php.

References $CommitStepMethodMap.

Referenced by commitStep().

## ◆ customInstallHandlerInfo()

eZPackageInstallationHandler::customInstallHandlerInfo | ( |  | $package,
|  |  | $installItem
| ) |  |
| private

Support for custom installers (stored within the package)

Reimplemented in eZInstallScriptPackageInstaller.

Definition at line 370 of file ezpackageinstallationhandler.php.

## ◆ finalize()

eZPackageInstallationHandler::finalize | ( |  | $package,
|  |  | $http,
|  | & | $persistentData
| ) |  |

Finalizes the creation process with the gathered information. This is usually the function that creates the package and adds the proper elements.

Reimplemented in eZContentObjectPackageInstaller.

Definition at line 254 of file ezpackageinstallationhandler.php.

## ◆ generateStepMap()

eZPackageInstallationHandler::generateStepMap | ( |  | $package,
|  | & | $persistentData
| ) |  |

Will go over the steps and make sure that:

- The next and previous links are correct

- Steps that aren't needed are removed

  It will also make sure that steps can be looked up by their ID.

Definition at line 57 of file ezpackageinstallationhandler.php.

References $StepMap, and attribute().

## ◆ hasAttribute()

eZPackageInstallationHandler::hasAttribute | ( |  | $name | ) |

Definition at line 111 of file ezpackageinstallationhandler.php.

## ◆ initializeStep()

eZPackageInstallationHandler::initializeStep | ( |  | $package,
|  |  | $http,
|  |  | $step,
|  | & | $persistentData,
|  |  | $tpl,
|  |  | $module
| ) |  |

This is called the first time the step is entered (ie. not on validations) and can be used to fill in values in the $persistentData variable for use in the template or later retrieval.

Definition at line 169 of file ezpackageinstallationhandler.php.

References initializeStepMethodMap().

## ◆ initializeStepMethodMap()

eZPackageInstallationHandler::initializeStepMethodMap | ( |  | ) |

Definition at line 127 of file ezpackageinstallationhandler.php.

References $InitializeStepMethodMap.

Referenced by initializeStep().

## ◆ instance()

static eZPackageInstallationHandler::instance | ( |  | $package,
|  |  | $handlerName,
|  |  | $installItem
| ) |  |
| static

Returns
  the package installation handler object for the handler named $handlerName.

Parameters

  handler | name'
  install | Item

Definition at line 264 of file ezpackageinstallationhandler.php.

References eZExtension\getHandlerClass().

## ◆ packageType()

eZPackageInstallationHandler::packageType | ( |  | $package,
|  | & | $persistentData
| ) |  |

Returns
  The package type taken from $package if the package exists, otherwise `false`. If the creator should have a specific package type this function should be reimplemented. See eZPackage::typeList() for more information on available types.

Note
  This function is called from createPackage and checkPackageMaintainer()

Reimplemented in eZContentObjectPackageInstaller.

Definition at line 325 of file ezpackageinstallationhandler.php.

## ◆ reset()

eZPackageInstallationHandler::reset | ( |  | ) |

Used to reset the instalation handler if needed

Definition at line 244 of file ezpackageinstallationhandler.php.

## ◆ rootDOMNode()

eZPackageInstallationHandler::rootDOMNode | ( |  | ) |
| private

Get root dom node of current install item.

Definition at line 338 of file ezpackageinstallationhandler.php.

References eZDebug\writeError().

Referenced by eZContentObjectPackageInstaller\initializeSiteAccess(), and eZContentObjectPackageInstaller\initializeTopNodes().

## ◆ stepMap()

& eZPackageInstallationHandler::stepMap | ( |  | ) |

Returns
  a process step map which has proper next/previous links, method maps and allows lookup of steps by ID.

Definition at line 146 of file ezpackageinstallationhandler.php.

References $StepMap.

## ◆ stepTemplate()

eZPackageInstallationHandler::stepTemplate | ( |  | $package,
|  |  | $installItem,
|  |  | $step
| ) |  |

Reimplemented in eZInstallScriptPackageInstaller.

Definition at line 151 of file ezpackageinstallationhandler.php.

References attribute().

## ◆ validateAndAdvanceStep()

eZPackageInstallationHandler::validateAndAdvanceStep | ( |  | $package,
|  |  | $http,
|  |  | $currentStepID,
|  | & | $stepMap,
|  | & | $persistentData,
|  | & | $errorList
| ) |  |

Definition at line 210 of file ezpackageinstallationhandler.php.

References validateStepMethodMap().

Referenced by validateStep().

## ◆ validateStep()

eZPackageInstallationHandler::validateStep | ( |  | $package,
|  |  | $http,
|  |  | $currentStepID,
|  | & | $stepMap,
|  | & | $persistentData,
|  | & | $errorList
| ) |  |

This is called after a step is finished. Reimplement this function to validate the step values and give back errors.

Returns
  `false` if the next step should not be fetched (ie. errors) or `true` if the all is OK and the next step should be fetched. It is also possible to return a step identifier, in which case this will be the next step.

Definition at line 190 of file ezpackageinstallationhandler.php.

References validateAndAdvanceStep().

## ◆ validateStepMethodMap()

eZPackageInstallationHandler::validateStepMethodMap | ( |  | ) |

Definition at line 132 of file ezpackageinstallationhandler.php.

References $ValidateStepMethodMap.

Referenced by validateAndAdvanceStep().

## Member Data Documentation

## ◆ $Attributes

eZPackageInstallationHandler::$Attributes

Definition at line 21 of file ezpackageinstallationhandler.php.

## ◆ $CommitStepMethodMap

eZPackageInstallationHandler::$CommitStepMethodMap

Definition at line 24 of file ezpackageinstallationhandler.php.

Referenced by commitStepMethodMap().

## ◆ $InitializeStepMethodMap

eZPackageInstallationHandler::$InitializeStepMethodMap

Definition at line 22 of file ezpackageinstallationhandler.php.

Referenced by initializeStepMethodMap().

## ◆ $InstallItem

eZPackageInstallationHandler::$InstallItem

Definition at line 25 of file ezpackageinstallationhandler.php.

## ◆ $Package

eZPackageInstallationHandler::$Package

Definition at line 20 of file ezpackageinstallationhandler.php.

## ◆ $StepMap

eZPackageInstallationHandler::$StepMap

Definition at line 26 of file ezpackageinstallationhandler.php.

Referenced by generateStepMap(), and stepMap().

## ◆ $ValidateStepMethodMap

eZPackageInstallationHandler::$ValidateStepMethodMap

Definition at line 23 of file ezpackageinstallationhandler.php.

Referenced by validateStepMethodMap().

The documentation for this class was generated from the following file:

- ezpackageinstallationhandler.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.